Skip to main content
GET
/
{walletId}
/
orderHistory
Get Order History
curl --request GET \
  --url https://gateway.varchev.com/wallet/{walletId}/orderHistory \
  --header 'Authorization: Bearer <token>' \
  --header 'tenantId: <tenantid>'
{
  "id": "<string>",
  "date": "2023-11-07T05:31:56Z",
  "pair": "<string>",
  "type": "market",
  "side": "buy",
  "price": "<string>",
  "executed": "<string>",
  "amount": "<string>",
  "total": "<string>",
  "status": "created"
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Path Parameters

walletId
string
required

Query Parameters

time
string
required

Response

200 - application/json

Get Order History

id
string
required
date
string<date-time>
required
pair
string
required
type
enum<string>
required
Available options:
market,
limit
side
enum<string>
required
Available options:
buy,
sell,
deposit,
withdraw,
transfer,
suspend,
reverse
price
string
required
executed
string
required
amount
string
required
total
string
required
status
enum<string>
required
Available options:
created,
validated,
sentToExchange,
pending,
confirmedByAdmin,
waitingForLimit,
placed,
partialFilled,
closed,
rejected,
duplicated,
customerDenied,
limitReached